当前位置:首页 > 站长资讯 >

Fedora Core6上安装vmware tool的问题

2020-06-08 19:52:24

1、安装GCC开发工具

# Install software called by by VMware Tools

yum install gcc

2、安装内核文件

# Install kernel header files

yum install kernel-devel

3、检查内核文件的版本是否匹配,如果不匹配需要进行升级

# Check it matches the running kernel

uname -r # running kernel

rpm -q kernel-devel # installed kernel headers

4、第3不中如果不匹配,则需要升级内核文件,升级完后,重新启动系统

# It the two versions do not match, run

yum -y upgrade kernel kernel-devel

# then reboot (but only if they did not match).

5、查找内核文件的位置,安装VMware-tool工具时候需要(我装的时候,会自动查找到,不需要手工指定)

# Find out where the kernel headers are

ls -d /usr/src/kernels/$(uname -r)*/include

# You may need this later.

6、下载虚拟机工具安装包

即:VMware-tool安装包,并解压(具体就是在虚拟机工具栏上,点击"VM"->"Install VMware Tools",会出现安装包,选择*.gz的文件,解压到一个目录下就可以)

以下是命令行中具体实现方法,我是在图形界面下实现的

# If you already have VMwareTools-5.5.2-29772.tar.gz

on disk, SKIP THIS STEP!

# Download VMware-workstation-5.5.2-29772.tar.gz from vmware.com

# Extract the VMware Tools iso from it

tar strip-components=3 -zxvf VMware-workstation-5.5.2-29772.tar.gz /

vmware-distrib/lib/isoimages/linux.iso

# Create a temporary mount point

mkdir /mnt/vmtools-temp

# Mount the image

mount -o loop linux.iso /mnt/vmtools-temp

# Copy VMware Tools from the mount

cp /mnt/vmtools-temp/VMwareTools-5.5.2-29772.tar.gz /tmp/

# Unmount the image and tidy up

umount /mnt/vmtools-temp

rmdir /mnt/vmtools-temp

rm linux.iso

# Unpack VMware Tools to a temporary directory

cd /tmp/

tar zxvf VMwareTools-5.5.2-29772.tar.gz

7、进入解压目标目录,执行以下代码,一路回车按下来

cd /tmp/vmware-tools-distrib/

./vmware-install.pl

8、直到该步骤,拷贝粘贴第5步的路径,然后一直按回车,直到选择屏幕分辨率。

What is the location of the directory of C header files that match your running

kernel? [/usr/src/kernels/2.6.18-1.2849.fc6-i686/include]

我安照网上的安装步骤,做到这步后就安装上下去了。提示以下错误:

What is the location of the directory of C header files that match your running

kernel? [/usr/src/linux/include] /usr/src/kernels/2.6.20-1.2952.fc6-i686/include

The directory of kernel headers (version @@VMWARE@@ UTS_RELEASE) does not match

your running kernel (version 2.6.20-1.2952.fc6). Even if the module were to

compile successfully, it would not load into the running kernel.

雨萌生活网